Bug 962178 - [abrt] ypserv-2.29-8.fc18: __strdup: Process /usr/lib64/yp/revnetgroup was killed by signal 11 (SIGSEGV)
[abrt] ypserv-2.29-8.fc18: __strdup: Process /usr/lib64/yp/revnetgroup was ki...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ypserv (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
abrt_hash:4431b48b7ec9fb34f263b47f233...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 06:39 EDT by Lukáš Nykrýn
Modified: 2013-05-27 07:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: ypserv-2.31-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 07:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (657.10 KB, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
File: cgroup (130 bytes, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
File: core_backtrace (151.89 KB, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
File: dso_list (314 bytes, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
File: environ (2.26 KB, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
File: maps (1.93 KB, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
File: open_fds (109 bytes, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
File: proc_pid_status (903 bytes, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
File: var_log_messages (598 bytes, text/plain)
2013-05-12 06:39 EDT, Lukáš Nykrýn
no flags Details
Patch that stops netgroup expansion when it reaches a recursion limit (1.98 KB, patch)
2013-05-17 10:00 EDT, Honza Horak
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2013-05-12 06:39:03 EDT
Description of problem:
I have changed /etc/netgroup to:

group1 (a,b,c) (d,,) (e,-,f)
group2 (x,y,z) (j,k,-)

group3 group1 group2
group4 group2
groupa (g,h,i) groupb
groupb groupa (t,u,v)

and then just
cd /var/yp
make

Version-Release number of selected component:
ypserv-2.29-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/yp/revnetgroup -h
crash_function: __strdup
executable:     /usr/lib64/yp/revnetgroup
kernel:         3.8.9-200.fc18.x86_64
uid:            0
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (2 frames)
 #2 __strdup at strdup.c:42
 #3 rev_expand_netgroupentry at getnetgrent.c:160
Comment 1 Lukáš Nykrýn 2013-05-12 06:39:12 EDT
Created attachment 746833 [details]
File: backtrace
Comment 2 Lukáš Nykrýn 2013-05-12 06:39:20 EDT
Created attachment 746834 [details]
File: cgroup
Comment 3 Lukáš Nykrýn 2013-05-12 06:39:23 EDT
Created attachment 746835 [details]
File: core_backtrace
Comment 4 Lukáš Nykrýn 2013-05-12 06:39:26 EDT
Created attachment 746836 [details]
File: dso_list
Comment 5 Lukáš Nykrýn 2013-05-12 06:39:28 EDT
Created attachment 746837 [details]
File: environ
Comment 6 Lukáš Nykrýn 2013-05-12 06:39:31 EDT
Created attachment 746838 [details]
File: limits
Comment 7 Lukáš Nykrýn 2013-05-12 06:39:33 EDT
Created attachment 746839 [details]
File: maps
Comment 8 Lukáš Nykrýn 2013-05-12 06:39:36 EDT
Created attachment 746840 [details]
File: open_fds
Comment 9 Lukáš Nykrýn 2013-05-12 06:39:39 EDT
Created attachment 746841 [details]
File: proc_pid_status
Comment 10 Lukáš Nykrýn 2013-05-12 06:39:41 EDT
Created attachment 746842 [details]
File: var_log_messages
Comment 11 Honza Horak 2013-05-17 10:00:23 EDT
Created attachment 749353 [details]
Patch that stops netgroup expansion when it reaches a recursion limit

This patch has been sent to upstream, I'll wait for the respond.

Note You need to log in before you can comment on or make changes to this bug.